## MilterFinishedEmittable MilterFinishedEmittable — An interface for "finished" signal. |

## Functions

void | milter_finished_emittable_emit ()

## Signals

void | finished | Run Last

## Object Hierarchy

        GInterface
        ╰── MilterFinishedEmittable

## Description

The `MilterFinishedEmittable` interface provides “finished” signal. “finished” signal will be emitted on finishing something.

## Functions

### milter_finished_emittable_emit ()

    void
    milter_finished_emittable_emit (MilterFinishedEmittable *emittable);

Emits “finished” signal.

#### Parameters

emittable | a `MilterFinishedEmittable`. |

## Signal Details

### The `“finished”` signal

    void
    user_function (MilterFinishedEmittable *emittable,
                   gpointer                 user_data)

This signal is emitted on `emittable` 's work is finished.

#### Parameters

emittable | the object that received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last